Bug 138557 - too many programs run
Summary: too many programs run
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2004-11-09 21:30 UTC by Ulrich Drepper
Modified: 2014-03-17 02:50 UTC (History)
3 users (show)

Fixed In Version: 8.08-1
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 19:54:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to reduce program starts from 8 to 4 (863 bytes, patch)
2004-11-09 21:30 UTC, Ulrich Drepper
no flags Details | Diff

Description Ulrich Drepper 2004-11-09 21:30:00 UTC
Description of problem:
Startup can be sped up by using fewer programs.  Yes, it's nice to use many
programs in a pipeline but using severel grep and sed invocations where one sed
call is sufficient just costs time and resources.

Version-Release number of selected component (if applicable):
initscripts-7.93.2-1

How reproducible:
always

Steps to Reproduce:
1.look at /etc/init.d/network
2.
3.
  
Actual results:


Expected results:


Additional info:
I got a speedup of the chaing of commands of about 30%, probably more at startup
time.  In real time this isn't that much (6-20ms, depending on the machine) but
it's also meant to raise awareness.  Find a few dozen more of these kind of
problems and the effects will be measurable.

Comment 1 Ulrich Drepper 2004-11-09 21:30:00 UTC
Created attachment 106377 [details]
patch to reduce program starts from 8 to 4

Comment 2 Per Winkvist 2004-12-01 14:28:23 UTC
Its not much time when you compare with the fact that cupsd takes 
about 3 seconds to start on my machine... It should be loaded the 
first time you are about to print.

And just try to boot FC when you don't have the ethernet cable 
plugged in. I have to wait about a minute for it to realise that the 
cable is not there :=)





Comment 3 Bill Nottingham 2005-04-15 19:54:58 UTC
Addded in 8.08-1, thanks.


Note You need to log in before you can comment on or make changes to this bug.